//
//  CMViewController.m
//  ColorMaker
//
//  Created by numata on 2013/12/05.
//  Copyright (c) 2013年 Satoshi Numata. All rights reserved.
//

#import "CMViewController.h"

@interface CMViewController ()
@property (weak, nonatomic) IBOutlet UIView *colorView;
@property (weak, nonatomic) IBOutlet UISlider *redSlider;
@property (weak, nonatomic) IBOutlet UISlider *greenSlider;
@property (weak, nonatomic) IBOutlet UISlider *blueSlider;
@property (weak, nonatomic) IBOutlet UILabel *colorCodeLabel;

@end

@implementation CMViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)colorChanged:(id)sender
{
    float r = self.redSlider.value;
    float g = self.greenSlider.value;
    float b = self.blueSlider.value;
    UIColor *color = [UIColor colorWithRed:r
                                     green:g
                                      blue:b
                                     alpha:1.0f];
    self.colorView.backgroundColor = color;

    NSString *codeStr =
        [NSString stringWithFormat:@"#%02x%02x%02x",
            (int)(r*255), (int)(g*255), (int)(b*255)];
    self.colorCodeLabel.text = codeStr;
}

@end
